﻿using System;

namespace MonitorService
{
    public interface ILogService
    {
        Exception ExToThrow { get; set; }

        /// <summary>
        /// 记录日志
        /// </summary>
        /// <param name="msg"></param>
        void AppendLog(string msg);
    }

    public class StubLogService : ILogService
    {
        public Exception ExToThrow { get; set; }

        /// <summary>
        /// 记录日志
        /// </summary>
        /// <param name="msg"></param>
        public void AppendLog(string msg)
        {
            if (ExToThrow != null)
            {
                throw ExToThrow;
            }
            //throw new NotImplementedException("fake exception");
        }
    }
}