﻿using System;
using MonitorService;
using MonitorService.Contract;
using MonitorService.Impl;
using Ninject.Modules;

namespace UnitTestApp
{
    internal class ServiceModule : NinjectModule
    {
        public override void Load()
        {
            Bind<ConfigFileMonitor>().ToSelf();

            Bind<MockEmailService>().ToSelf();

            Bind<StubLogService>().ToSelf();

            //Bind<IFileMonitor>().To<ConfigFileMonitor>();

            //Bind<IEmailService>().To<MockEmailService>();

            //Bind<ILogService>().To<StubLogService>();
        }
    }
}